<?php

require_once 'VerifyAbstract.class.php';

class VerifyMatrikelNummer extends VerifyAbstract {

	public function __construct() {

	}

	public static function getClassName() {
                return 'VerifyMatrikelNummer';
        }

	public function verify($m) {
		$arr = str_split($m);
		if (count($arr) == 8) {
			$sum = 0;
			for ($i=0; $i<count($arr); $i++) {
				$sum += (int)$arr[$i - 1] * $i;
			}
			$modrest = $sum % 11;
			if ($modrest == $arr[7]) return TRUE;
		} else if (count($arr) == 7) {
			$sum = 0;
			for ($i=1; $i<count($arr); $i++) {
				$sum += (int)$arr[$i - 1] * $i;
			}
			$modrest = $sum % 11;
			if ($modrest == $arr[6]) return TRUE;
		}
		return FALSE;
	}

	public static function getTitle() {
		return _('Matrikelnummern');
	}

	public static function getLongDesc() {
		return _('Prft Matrikelnummern auf Gltigkeit. ACHTUNG: einige alte Matrikelnummern entsprechen nicht den aktuellen Vorgaben und knnen beim Aktivieren dieser Option nicht eingegeben werden!');
	}

	public static function getErrorMessage() {
		return _('Ungltige Matrikelnummer!');
	}

}

?>
