<?php

require_once 'VerifyAbstract.class.php';

class VerifyNumbers extends VerifyAbstract {

	public function __construct() {

	}

	public static function getClassName() {
                return 'VerifyNumbers';
        }

	public function verify($m) {
		$str    = "{$m}";

		if (in_array($str[0], array('-', '+')))    $str = "{$str[0]}0" . substr($str, 1);
		else $str = "0{$str}";

		$eng    = preg_match ("/^[+,-]{0,1}([0-9]+)(,[0-9][0-9][0-9])*([.][0-9]){0,1}([0-9]*)$/" , $str) == 1;
		$world    = preg_match ("/^[+,-]{0,1}([0-9]+)(.[0-9][0-9][0-9])*([,][0-9]){0,1}([0-9]*)$/" , $str) == 1;

		return ($eng or $world); 
	}

	public static function getTitle() {
		return _('Zahlen');
	}

	public static function getLongDesc() {
		return _('Prft Zahlen auf Gltigkeit (inkl. Vorzeichen und Punkt/Komma als Trenner).');
	}

	public static function getErrorMessage() {
		return _('Ungltige Zahl!');
	}
}

?>
